--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_i386.c	2015-05-27 19:46:32.752726009 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_i386.c	2015-05-27 19:46:32.764656010 -0400
@@ -104,6 +104,7 @@
 	{ 264,	4,	0,	1 },		/* pr_projid */
 	{ 268,	4,	0,	1 },		/* pr_nzomb */
 	{ 272,	4,	0,	1 },		/* pr_zoneid */
+	{ 276,	8,	0,	0 },		/* pr_secflags */
 	{ 336,	800,	0,	0 },		/* pr_lwp */
 };
 
@@ -377,6 +378,13 @@
 };
 
 
+static const sl_psecflags_layout_t psecflags_layout = {
+	{ 0,	8,	0,	0 },		/* sizeof (psecflags_t) */
+	{ 0,	4,	0,	0 },		/* psf_effective */
+	{ 4,	4,	0,	0 },		/* psf_inherit */
+};
+
+
 
 
 static const sl_arch_layout_t layout_i386 = {
@@ -400,6 +408,7 @@
 	&timestruc_layout,
 	&utsname_layout,
 	&prfdinfo_layout,
+	&psecflags_layout,
 };
 
 
